function env=environment(varargin)
% FUNCTION env=fc_amat.environment()
%   Retrieves the toolbox/package environment directories.
%
% Copyright (C) 2018 F. Cuvelier

  [conffile,isFileExists]=fc_amat.getLocalConfFile();
  if ~isFileExists
    fprintf('[fc-amat] Try to use default parameters!\n Use fc_amat.configure to configure.\n')
    fc_amat.configure();
  end
  run(conffile);
  env.fc_bench_dir=fc_bench_dir;
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
